/****** Object:  Table [dbo].[WT_Favourites]    Script Date: 6/19/2016 4:22:06 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[WT_Favourites](
	[FavID] [int] IDENTITY(1,1) NOT NULL,
	[UserID] [int] NOT NULL,
	[CityID] [int] NOT NULL,
	[CityName] [nvarchar](250) NOT NULL,
 CONSTRAINT [PK_WT_Favourites] PRIMARY KEY CLUSTERED 
(
	[FavID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[WT_Favourites]  WITH CHECK ADD  CONSTRAINT [FK_WT_Favourites_Principal] FOREIGN KEY([UserID])
REFERENCES [dbo].[Principal] ([PrincipalID])
GO

ALTER TABLE [dbo].[WT_Favourites] CHECK CONSTRAINT [FK_WT_Favourites_Principal]
GO

